# iiot-openapi
No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 5.0.0
- Package version: 0.0.1
- Generator version: 7.12.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 3.8+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import iiot_openapi
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import iiot_openapi
```

### Tests

Execute `pytest` to run the tests.

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import iiot_openapi
from iiot_openapi.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to http://https:/
# See configuration.py for a list of all supported configuration parameters.
configuration = iiot_openapi.Configuration(
    host = "http://https:/"
)



# Enter a context with an instance of the API client
with iiot_openapi.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = iiot_openapi.ModelApi(api_client)
    x_auth_token = 'x_auth_token_example' # str | 
    project_id = 'project_id_example' # str | 
    create_model_request = iiot_openapi.CreateModelRequest() # CreateModelRequest | 

    try:
        api_response = api_instance.create_model(x_auth_token, project_id, create_model_request)
        print("The response of ModelApi->create_model:\n")
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling ModelApi->create_model: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *http://https:/*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*ModelApi* | [**create_model**](docs/ModelApi.md#create_model) | **POST** /v5/{project_id}/models | 
*DefaultApi* | [**create_thing**](docs/DefaultApi.md#create_thing) | **POST** /v5/{project_id}/things | 
*DefaultApi* | [**delete_model**](docs/DefaultApi.md#delete_model) | **DELETE** /v5/{project_id}/models/{model_id} | 删除模型
*DefaultApi* | [**delete_thing**](docs/DefaultApi.md#delete_thing) | **DELETE** /v5/{project_id}/things/{thing_id} | 
*DefaultApi* | [**generate_token**](docs/DefaultApi.md#generate_token) | **POST** /v1/iotstage/auth/tokens | 获取认证 Token
*DefaultApi* | [**get_model**](docs/DefaultApi.md#get_model) | **GET** /v5/{project_id}/models/{model_id} | 查询单个模型内容
*DefaultApi* | [**get_thing**](docs/DefaultApi.md#get_thing) | **GET** /v5/{project_id}/things/{thing_id} | 
*DefaultApi* | [**query_time_series**](docs/DefaultApi.md#query_time_series) | **POST** /v5/{project_id}/things/{thing_id}/time-series/query | 查询 Thing 的属性历史值
*DefaultApi* | [**report_to_api_datasource**](docs/DefaultApi.md#report_to_api_datasource) | **POST** /v5/{project_id}/datasources/{datasource_id}/data | 


## Documentation For Models

 - [ComponentDto](docs/ComponentDto.md)
 - [CreateModelRequest](docs/CreateModelRequest.md)
 - [CreateThingRequest](docs/CreateThingRequest.md)
 - [CreateTokenReqDTO](docs/CreateTokenReqDTO.md)
 - [DataList](docs/DataList.md)
 - [DataSchema](docs/DataSchema.md)
 - [DatasourceReportRequest](docs/DatasourceReportRequest.md)
 - [DatasourceReportResponse](docs/DatasourceReportResponse.md)
 - [DoubleSchema](docs/DoubleSchema.md)
 - [IntegerSchema](docs/IntegerSchema.md)
 - [Model](docs/Model.md)
 - [ObjectSchema](docs/ObjectSchema.md)
 - [Project](docs/Project.md)
 - [PropertyDto](docs/PropertyDto.md)
 - [PropertyValue](docs/PropertyValue.md)
 - [PropertyValues](docs/PropertyValues.md)
 - [ReportDevice](docs/ReportDevice.md)
 - [ServiceData](docs/ServiceData.md)
 - [StringSchema](docs/StringSchema.md)
 - [TableRef](docs/TableRef.md)
 - [Thing](docs/Thing.md)
 - [TimeSeriesQueryRequest](docs/TimeSeriesQueryRequest.md)
 - [TimeSeriesQueryResponse](docs/TimeSeriesQueryResponse.md)
 - [TimeSpan](docs/TimeSpan.md)
 - [TokenRsp](docs/TokenRsp.md)


<a id="documentation-for-authorization"></a>
## Documentation For Authorization

Endpoints do not require authorization.


## Author




